Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2370

NA Change labeles
12/19/2016 10:15 AM - Oleksii Kurasov

Status: Closed
Priority: Immediate
Assignee: Oleksii Kurasov
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

12/19/2016
12/20/2016
0%

0.00 hour
0.00 hour

Description

Responsable to Responsible
Inns to INNs

NA to N/A

Due Date to Letter Date
Labels for Ask letter form

History

#1 - 12/19/2016 10:18 AM - Oleksii Kurasov
- Description updated

#2 - 12/20/2016 06:14 AM - Oleksii Kurasov

- Due date changed from 12/19/2016 to 12/20/2016

- Status changed from New to Closed

06/06/2025

1/1
